# Config

{% tabs %}
{% tab title="ESX/QB" %}

```lua
AK4Y = {}

-- qb / oldqb | qb = export system | oldqb = triggerevent system
-- esx / errorEsx | esx = export system | errorEsx = if you have any error in f8 console
AK4Y.Framework = "qb" 
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async

AK4Y.BallModel = "p_ld_soc_ball_01" -- https://wiki.rage.mp/index.php?title=Objects
AK4Y.BallSpawnCoord = vector3(771.28, -233.44, 65.32) -- x,y,z
AK4Y.FootballAreaCoords = vector3(786.38, -245.04, 66.11) -- x,y,z
AK4Y.FootballerNpcCoords = vector4(813.65, -244.89, 66.21, 104.8) -- x,y,z,h
AK4Y.MaleClothingNumber = 442
AK4Y.FemaleClothingNumber = 473 
AK4Y.KickTime = 60000 -- player can not join the match for 60 seconds after kick
AK4Y.JoinPaymentMethod = "bank" -- cash / bank
AK4Y.CancelMatchAfterCreate = 320 -- second | if you dont start the match in 5 minutes, match will be canceled

AK4Y.GoalEffect = {
	Active = true, -- true / false
	Dict ="proj_indep_firework_v2" , -- https://vespura.com/fivem/particle-list/
	Name = "scr_firework_indep_repeat_burst_rwb",  --https://vespura.com/fivem/particle-list/
}

AK4Y.AddActionScore = {
	score = 10, -- score / goal
	shoot = 1, -- shoot 
	saveGoal = 3, -- save goal -- eklenecek
	goalToMyTeam = -15, -- goal to my team
}

AK4Y.Buttons = {
	["shoot"] = 38,
	["shootdowner"] = 52,
	["throwBall"] = 306,
	["dropBall"] = 301,
	["jumpUpLeft"] = 117,
	["jumpUpRight"] = 118,
	["jumpDownLeft"] = 124,
	["jumpDownRight"] = 125,
	["holdball"] = 110,
	["slideButton"] = 23,
	["rainbowButton"] = 47,
} 

AK4Y.FootballerNpcSettings = {
	pedName = "ig_mrk",
	pedHash = 0xEDDCAB6D,
	h = 112.38,
}

AK4Y.createSettings = {
    matchCreatePrice = 2000, -- match create price
    matchCreatePriceType = "cash", -- cash / bank
}

AK4Y.createBetSettings = {
    minBet = 1000, -- min bet amount
    maxBet = 100000, -- max bet amount
}

AK4Y.playerBetSettings = {
    minBet = 1000, -- min bet amount
    maxBet = 100000, -- max bet amount
}

AK4Y.matchCoords = {
    redTeam = { 
        { position = "goalKeeper", label = "Goalkeeper", cloth = 6, x = 741.28, y = -218.9, z = 65.11, h = 239.31 },
        { position = "leftDefender", label = "Left Defender", cloth = 7, x = 753.41, y = -214.03, z = 65.11, h = 239.31 },
        { position = "rightDefender", label = "Right Defender", cloth = 8, x = 744.74, y = -231.59, z = 65.12, h = 239.31 },
        { position = "middleDefender", label = "Middle Defender", cloth = 9, x = 753.55, y = -224.94, z = 65.12, h = 239.31 },
        { position = "leftForward", label = "Left Forward", cloth = 10, x = 767.03, y = -221.31, z = 65.12, h = 239.31 },
        { position = "rightForward", label = "Right Forward", cloth = 11, x = 758.87, y = -238.73, z = 65.11, h = 239.31 },
    },
    blueTeam = {
        { position = "goalKeeper", label = "Goalkeeper", cloth = 0, x = 801.23, y = -248.54, z = 65.11, h = 64.30 },
        { position = "leftDefender", label = "Left Defender", cloth = 1, x = 789.73, y = -253.52, z = 65.11, h = 64.30 },
        { position = "rightDefender", label = "Right Defender", cloth = 2, x = 798.9, y = -236.77, z = 65.12, h = 64.30 },
        { position = "middleDefender", label = "Middle Defender", cloth = 3, x = 790.97, y = -243.59, z = 65.12, h = 64.30 },
        { position = "leftForward", label = "Left Forward", cloth = 4, x = 775.3, y = -246.77, z = 65.12, h = 64.30 },
        { position = "rightForward", label = "Right Forward", cloth = 5, x = 783.72, y = -229.55, z = 65.11, h = 64.30 },
    },
	afterGoal = { 
		pos1 = { x = 769.65, y = -236.52, z = 66.11, h = 331.09 },
		pos2 = { x = 772.25, y = -230.92, z = 66.11, h = 153.36 },
	}
}

AK4Y.matchTimeSelects = {
    { time = 5, label = "5 Minute" }, -- time = minute
    { time = 10, label = "10 Minute" }, 
    { time = 15, label = "15 Minute" },
    { time = 20, label = "20 Minute" },
}

AK4Y.activeInfos = {
    { text = "Active Lorem ipsum dolor sit amet consectetur. Tincidunt leo sednunc, quisque." },
}

AK4Y.Language = {
    generalTitle = "AK4Y.RP", 
	generalTitle2 = "FOOTBALL",
	popUpTitle = "AK4Y-FOOTBALL",
	createMatchTitle = "Create Match",
	createSubText = "Create a match with your own settings.",
	wantLeavePopUpTitle = "Are you sure you want to leave the match?",
	wantLeavePopUpDescription = "If you leave the match, you wont lose your bet.",
	wantToCancelTheMatchPopUpTitle = "Are you sure you want to cancel the match?",
	wantToCancelTheMatchPopUpDescription = "If you cancel the match, you will lose your money.",
	wantStartMatchTitle = "Start Match",
	wantToStartMatch = "Are you sure you want to start the match?",
	placeBetRedTeamButton = "Place Bet (Red)",
	placeBetBlueTeamButton = "Place Bet (Blue)",
	youWantTakeBet = "Do you want to take the bet?",
	youWantTakeBetDescription = "If you win the bet, you win 2x your stake! If you lose, you lose all your money...",
	cancelButtonText = "Cancel",
	acceptButtonText = "Accept",
	emptySlotText = "Empty Slot",
	openLobbyMenu = "Open Lobby Menu",
	cannotMoveText = "You cannot move because the game has not started.",
	activeText = "Active",
	matchesText = "Matches",
	teamText = "TEAM",
	scoreText = "Score",
	rankText = "Rank",
	nameText = "Name",
	scoreText = "Score",
	matchText = "Match",
	createText = "Create",
	goalsText = "Goals",
	ShotsText = "Shots",
	pingText = "Ping",
	footballTitle = "FOOTBALL",
	leaderBoardText = "LEADERBOARD",
	goaaaalText = "Goaaaal",
	lobbyMenuText = "LOBBY MENU",
	informationText = "Information",
	informationDescription = "Lorem ipsum dolor sit amet consectetur. Tincidunt leo sednunc, quisque.",
	bettingText = "BETTING",
	teamNameText = "Team Name",
	countOfViewerText = "Count of Viewer",
	viewersText = "Viewers",
	waitingForTheMatchText = "Waiting for the match to start.",
	startTheMatchText = "Start the match",
	bettingPopUpTitle1 = "CREATE",
	bettingPopUpTitle2 = "BETTING",
	enterTheBetAmountText = "Enter the bet amount;",
	startBetText = "Start Bet",
	footbalManagerTitle1 = "FOOTBALL",
	footbalManagerTitle2 = "MANAGER",
	createAFootbalMatchText = "CREATE A FOOTBALL MATCH",
	selectMatchTimeText = "Select Match Time",
	selectMatchModeText = "Select Match Mode",
	matchBettingText = "Match Betting",
	setBetText = "Set Bet",
	somebodyPlayingFootballNowTitle = "SOMEBODY PLAYING FOOTBALL NOW",
	noteText = "Note",
	continueMatchDescription = "lorem ipsum dolor sit amet consectetur. Tincidunt leo sednunc, quisque.",
	footballBettingText = "Football Betting;",
	createBetText = "Create Bet",
	versusText = "VS",
	placeBetForRedTeamText = "Place Bet (Red)",
	placeBetForBlueTeamText = "Place Bet (Blue)",
	matchModeText = "Match Mode", 
	matchJoinPriceText = "Match Join Price",
	joinMatchText = "Join Match",
	freeText = "Free",
	youWinText = "YOU WIN ",
	youLoseText = "YOU LOSE",
	youDrawText = "DRAW",
	continueText = "CONTINUE",
 	endMatchText = "END MATCH",
	isWinnerText = "IS WINNER", 
}

AK4Y.KeyBoardInfos = {
	{ key = "E", label = "Shoot (Upper)", pos = "all" },
	{ key = "Q", label = "Shoot (Lower)", pos = "all" },
	{ key = "F", label = "Slide", pos = "all" },
	{ key = "G", label = "Rainbow", pos = "all" },
	-- { key = "N", label = "Reaction Menu", pos = "all" },
	{ key = "CAPS", label = "Scoreboard", pos = "all" },
	{ key = "NUMPAD9", label = "Jump Up Left", pos = "goalKeeper" },
	{ key = "NUMPAD7", label = "Jump Up Right", pos = "goalKeeper" },
	{ key = "NUMPAD6", label = "Jump Down Left", pos = "goalKeeper" },
	{ key = "NUMPAD4", label = "Jump Down Right", pos = "goalKeeper" },
	{ key = "NUMPAD5", label = "Hold Ball", pos = "goalKeeper" },
	{ key = "N", label = "Throw Ball", pos = "goalKeeper" },
	{ key = "M", label = "Drop Ball", pos = "goalKeeper" },
}

AK4Y.DrawText = {
	plyInPos = "There\'s a player in position: ",
	joinAs = "[~g~E~w~] Join as ",
	ownerNotMatch = "You can't join the match because the owner is not in the match",
	cantJnMatchFor = "You can't join the match for ",	
	seconds = " seconds",
	balanceTeam = "You need to balance the teams",
	eachTeam = "You need at least 1 player in each team",
	dntHaveEngMoney = "You don't have enough money",
	thisBetNotAv = "This bet is not available",
	youCantBetOwn = "You can't bet on your own bet",
	youDraw = "You draw ",
	matchCancelled = "Match cancelled!",
	youJned = "You joined!",
	posFull = "This position is full",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-football/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
